# 获取学校的年级和班级信息

## 修改记录


## 接口定义

    /v1/get_school_grade_and_class
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}/{activeAccount}
     X-Sign               {String}        rsa(timestamp) 加密

### Form Parameters

 schoolId          {String}

## Response


### Example


**Command**

##### Android

    curl -X GET \

        -H "X-DeviceInformation: 11%2f22%2f96" \
        -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
       http://localhost:8080/v1/get_school_grade_and_class

**Output**

    {
        "errno": 200,
        "data": {
            [
                {
                    "gradeId": 11,
                    "gradeName": "6",
                    "list": [
                        {
                            "classId": 1824,
                            "className": "3",
                            "orderlist": 0
                        },
                        {
                            "classId": 1823,
                            "className": "2",
                            "orderlist": 0
                        }
                    ]
                }
            ]
        },
        "msg": "success"
    }