# 获取学生信息

## 修改记录


## 接口定义

    /partner/get_student_list
    GET

## Request

API请求参数

### Head
         X-DeviceInformation  {String}       设备信息, 格式为: {deviceId}
            X-LoginType          {String}       partner
            X-AppKey             {String}      appKey
            X-Sign               {String}       aes(时间戳) 加密，密码是 appSecret，时间戳有效期是2个小时

### Form Parameters

 page              {int}    默认：1
 limit             {int}    默认：20

## Response


### Example


**Command**

    curl -X GET \
        -H "X-LoginType: partner" \
       	-H "X-DeviceInformation: 1122" \
       	-H "X-AppKey: 9de1f320964a11e9ad5f32001713d000" \
        -H "X-Sign: tna8CtdlphD7RcgwXYHWsQ==" \
          https://t.api.test.iouou.cn/partner/get_student_list?limit=3&page=1

**Output**

    {
        "errno": 200,
        "msg": "success",
        "data": {
            "total": 100,
            "list":[
                   {
                       "studentId": 50687,
                       "studentName": "郑笑莹",
                       "gender": 2,
                       "age": 0,
                       "grade": "1年级",
                       "class": "2班",
                   }
               ]
        }
    }